%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name PEAR_Command_Packaging

Name:           php-pear-PEAR-Command-Packaging
Version:        0.1.2
Release:        5%{?dist}
Summary:        Create RPM spec files from PEAR modules

Group:          Development/System
License:        PHP License
URL:            http://pear.php.net/package/PEAR_Command_Packaging
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        php-pear-PEAR-Command-Packaging-fedora-template-specfile
Source2:        http://www.php.net/license/3_01.txt
Patch0:         php-pear-PEAR-Command-Packaging-0.1.2-fedora-conventions1.patch
# Patch1 is bits backported from upstream CVS; remove when 0.1.3 is released
Patch1:         php-pear-PEAR-Command-Packaging-0.1.2-cvs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR) >= 1.4.3
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
This command is an improved implementation of the standard PEAR "makerpm" 
command, and contains several enhancements that make it far more flexible. 
Similar functions for other external packaging mechanisms may be added at
a later date.

%prep
%setup -q -c
mv package.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}

%build
# Empty build section, nothing required

%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Patches for Fedora conventions
pushd $RPM_BUILD_ROOT%{pear_phpdir}/PEAR/Command/
%{__patch} -p1 <%{PATCH0}
%{__patch} -p1 <%{PATCH1}
popd
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{pear_phpdir}/data/%{pear_name}/template.spec

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Add license file
install -pm 644 %{SOURCE2} LICENSE


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/LICENSE
%{pear_xmldir}/%{pear_name}.xml
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/PEAR/Command/Packaging.*


%changelog
* Sat Sep 23 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-5
- Remove "PEAR:" from Summary in spec and template.spec

* Sun Sep 10 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-4
- Shorten summary
- Remove unnecessary dep on php
- Bundle LICENSE file
- Rename template specfile source to keep rpmlint happy

* Sat Sep 09 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-3
- Update to conform with latest conventions in bug #198706
- Update in-built spec (for generation of other package specs) to (nearly)
  conform with latest spec conventions

* Mon Jul 03 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-2
- BR php-pear 1.4.9; 1.4.8 is broken
- Update to conform to proposed Fedora PHP packaging standards

* Wed Jun 28 2006 Tim Jackson <rpm@timj.co.uk> 0.1.2-1
- Update to 0.1.2
- Update fedora-conventions patch to patch Packaging.xml
- Update fedora-conventions patch for peardir/tests -> peardir/test
- Backport upstream patch to make Fedora conventions work properly

* Fri Jun 9 2006 Tim Jackson <rpm@timj.co.uk> 0.1.1-2
- Add Epoch to php-pear BR

* Thu May 18 2006 Tim Jackson <rpm@timj.co.uk> 0.1.1-1
- Update to 0.1.1
- XML description now in datadir/pear/.pkgxml (see bug #190252)
- Stop buildroot path ending up in output files

* Wed Mar 15 2006 Tim Jackson <rpm@timj.co.uk> 0.1.0-2
- Own data/PEAR_Command_Packaging dir
- Remove empty doc line
- Remove empty build section
- Replace cp with install

* Tue Mar 14 2006 Tim Jackson <rpm@timj.co.uk> 0.1.0-1
- Initial RPM build
